Link (Grails 6.0.0)

Package: grails.rest

## [Groovy] Class Link

- grails.rest.Link

- All Implemented Interfaces and Traits:
    java.io.Serializable

      @groovy.transform.CompileStatic
      @groovy.transform.EqualsAndHashCode(includes: [rel, href])
      class Link
      extends java.lang.Object
      implements java.io.Serializable

  Represents a Link in a RESTful resource. See http://tools.ietf.org/html/draft-kelly-json-hal-05#section-5

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `contentType` | The content type of the linked resource
    `private boolean` | `deprecated` | Whether the link is deprecated
    `private java.lang.String` | `href` | The link's href
    `private java.util.Locale` | `hreflang` | The language of the linked resource
    `private java.lang.String` | `rel` | The link relationship
    `private boolean` | `templated` | Whether the link is a URI template
    `private java.lang.String` | `title` | The Human readable title of the resource

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `contentType` The content type of the linked resource
    `boolean` | `deprecated` Whether the link is deprecated
    `java.lang.String` | `href` The link's href
    `java.util.Locale` | `hreflang` The language of the linked resource
    `java.lang.String` | `rel` The link relationship
    `boolean` | `templated` Whether the link is a URI template
    `java.lang.String` | `title` The Human readable title of the resource

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Link (java.lang.String rel, java.lang.String href)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Link` | `createLink(java.util.Map<java.lang.String, java.lang.Object> arguments)` Creates a link for the given arguments

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String contentType

      The content type of the linked resource

    - #### private boolean deprecated

      Whether the link is deprecated

    - #### private final java.lang.String href

      The link's href

    - #### private java.util.Locale hreflang

      The language of the linked resource

    - #### private final java.lang.String rel

      The link relationship

    - #### private boolean templated

      Whether the link is a URI template

    - #### private java.lang.String title

      The Human readable title of the resource

  - ### Property Detail

    - #### java.lang.String contentType

      The content type of the linked resource

    - #### boolean deprecated

      Whether the link is deprecated

    - #### final java.lang.String href

      The link's href

    - #### java.util.Locale hreflang

      The language of the linked resource

    - #### final java.lang.String rel

      The link relationship

    - #### boolean templated

      Whether the link is a URI template

    - #### java.lang.String title

      The Human readable title of the resource

  - ### Constructor Detail

    - #### Link(java.lang.String rel, java.lang.String href)

  - ### Method Detail

    - #### static Link createLink(java.util.Map<java.lang.String, java.lang.Object> arguments)

      Creates a link for the given arguments

      Parameters:
        `arguments` - The arguments
      Returns:
        The link